Loading...
Searching...
No Matches
Adler-32
libavutil » Crypto and Hashing » Hash Functions

Adler-32 hash function implementation. More...

## Files

file | adler32.h
| Public header for Adler-32 hash function implementation.

## Typedefs

typedef uint32_t | AVAdler

## Functions

AVAdler | av_adler32_update (AVAdler adler, const uint8_t *buf, size_t len) av_pure
| Calculate the Adler32 checksum of a buffer.

## Detailed Description

Adler-32 hash function implementation.

## Typedef Documentation

## AVAdler

typedef uint32_t AVAdler

Definition at line 42 of file adler32.h.

## Function Documentation

## av_adler32_update()

AVAdler av_adler32_update | ( | AVAdler | adler,
|  | const uint8_t * | buf,
|  | size_t | len )

Calculate the Adler32 checksum of a buffer.

Passing the return value to a subsequent av_adler32_update() call allows the checksum of multiple buffers to be calculated as though they were concatenated.

Parameters

  adler | initial checksum value
  buf | pointer to input buffer
  len | size of input buffer

Returns
  updated checksum